<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [StepSelectorProps](./react.stepselectorprops.md)

## StepSelectorProps interface

<b>Signature:</b>

```typescript
export interface StepSelectorProps 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [onCreate?](./react.stepselectorprops.oncreate.md) |  | (verb: Verb) =&gt; void | <i>(Optional)</i> |
|  [placeholder?](./react.stepselectorprops.placeholder.md) |  | string | <i>(Optional)</i> |
|  [showButton?](./react.stepselectorprops.showbutton.md) |  | boolean | <i>(Optional)</i> |
|  [verb?](./react.stepselectorprops.verb.md) |  | Verb | <i>(Optional)</i> |

